#!/bin/sh

specfile=$(rpm --eval %{_topdir})/SPECS/node8-shared.spec
version=$(rpm -q --specfile --qf='%{version}\n' "${specfile}" | head -n1)
rm -f node-v${version}.tar.gz
wget http://nodejs.org/dist/v${version}/node-v${version}.tar.gz
tar -zxf node-v${version}.tar.gz
rm -rf node-v${version}/deps/{openssl,icu-small,uv,zlib,http_parser}
tar -Jcf node8-shared-v${version}-stripped.tar.xz node-v${version}
